kafka-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From ewe...@apache.org
Subject [kafka] branch 1.1 updated: MINOR: Upgrade ducktape to 0.7.5 (#6197)
Date Tue, 05 Feb 2019 00:09:12 GMT
This is an automated email from the ASF dual-hosted git repository.

ewencp pushed a commit to branch 1.1
in repository https://gitbox.apache.org/repos/asf/kafka.git


The following commit(s) were added to refs/heads/1.1 by this push:
     new 693993d  MINOR: Upgrade ducktape to 0.7.5 (#6197)
693993d is described below

commit 693993debb410c6eccc26e80f15a010834f9accf
Author: Konstantine Karantasis <konstantine@confluent.io>
AuthorDate: Fri Jan 25 11:14:19 2019 -0800

    MINOR: Upgrade ducktape to 0.7.5 (#6197)
    
    Reviewed-by: Colin P. McCabe <cmccabe@apache.org>
---
 tests/docker/Dockerfile | 2 +-
 tests/setup.py          | 2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff --git a/tests/docker/Dockerfile b/tests/docker/Dockerfile
index 81bd128..b923a42 100644
--- a/tests/docker/Dockerfile
+++ b/tests/docker/Dockerfile
@@ -32,7 +32,7 @@ LABEL ducker.creator=$ducker_creator
 
 # Update Linux and install necessary utilities.
 RUN apt update && apt install -y sudo netcat iptables rsync unzip wget curl jq coreutils
openssh-server net-tools vim python-pip python-dev libffi-dev libssl-dev cmake pkg-config
libfuse-dev && apt-get -y clean
-RUN pip install -U pip setuptools && pip install --upgrade cffi virtualenv pyasn1
boto3 pycrypto pywinrm ipaddress enum34 && pip install --upgrade ducktape==0.7.1
+RUN pip install -U pip==9.0.3 setuptools && pip install --upgrade cffi virtualenv
pyasn1 boto3 pycrypto pywinrm ipaddress enum34 && pip install --upgrade ducktape==0.7.5
 
 # Set up ssh
 COPY ./ssh-config /root/.ssh/config
diff --git a/tests/setup.py b/tests/setup.py
index 24ee4eb..14a3695 100644
--- a/tests/setup.py
+++ b/tests/setup.py
@@ -51,7 +51,7 @@ setup(name="kafkatest",
       license="apache2.0",
       packages=find_packages(),
       include_package_data=True,
-      install_requires=["ducktape==0.7.1", "requests>=2.5.0"],
+      install_requires=["ducktape==0.7.5", "requests==2.20.0"],
       tests_require=["pytest", "mock"],
       cmdclass={'test': PyTest},
       )


Mime
View raw message